Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#6684 - bug in devel/unixodbc/PKGBUILD

Attached to Project: Arch Linux
Opened by Tony Darko (Tdarko) - Friday, 23 March 2007, 11:29 GMT
Last edited by Roman Kyrylych (Romashka) - Sunday, 09 September 2007, 10:48 GMT
Task Type Bug Report
Category Packages: Current
Status Closed
Assigned To No-one
Architecture All
Severity Medium
Priority Normal
Reported Version 0.7.2 Gimmick
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

diff -Naur unixodbc.orig/PKGBUILD unixodbc/PKGBUILD
--- unixodbc.orig/PKGBUILD 2007-03-23 13:27:13.000000000 +0200
+++ unixodbc/PKGBUILD 2007-03-23 13:26:47.000000000 +0200
@@ -15,7 +15,7 @@
build() {
cd $startdir/src/unixODBC-$pkgver
sed -i 's/YY_FLUSH_BUFFER/yy_flush_buffer(YY_CURRENT_BUFFER)/' sqp/lex.l
- ./configure --prefix=/usr --sysconfdir=/etc --without-qt-libraries
+ ./configure --prefix=/usr --sysconfdir=/etc --enable-gui=no
make || return 1
make DESTDIR=$startdir/pkg install
find $startdir/pkg -name '*.la' -exec rm {} \;
This task depends upon

Closed by  Roman Kyrylych (Romashka)
Sunday, 09 September 2007, 10:48 GMT
Reason for closing:  Fixed
Comment by Jan de Groot (JGC) - Friday, 23 March 2007, 11:46 GMT
ok, so now what? Please post a description about your patches, we have to guess from your patch what it does.
Comment by Tony Darko (Tdarko) - Friday, 23 March 2007, 15:33 GMT
it's simply (:
argument '--without-qt-libraries' is out in this version or previous virsions of unixODBC
'--with(out)-gt-libraries' had been replaced to '--enable-gui=yes(no)'.. --enable-gui=yes - default option!

my patch replaced this arguments in call to './configure' (in PKGBUILD)

----
sorry for my bad English

Loading...